/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package com.evasion.plugin.geoloc;

/**
 *
 * @author glon-56610
 */
public final class Constante {

    private Constante() {
    }

    /** Nom du timer d'importation des données de geolocalisation de référence.*/
    public static final String IMPORT_TIMER_NAME = "GEOLOC_IMPORT_TIMER";
    /** propriété de base pour activer le timer (valeur par defaut "<code>false</code>").*/
    public static final String IMPORT_TIMER_ENABLED = IMPORT_TIMER_NAME + "_ENABLED";
    /** propriété de base définissant l'interval de lancement entre deux import.<br>
     * la valeur est de la forme &lt;month&gt;|&lt;dayOfMonth&gt;|&lt;hour&gt;|&lt;minute&gt;<br><br>
     * exemple *|*|0|0 pour tous les jours à minuit.*/
    public static final String IMPORT_TIMER_INTERVAL = IMPORT_TIMER_NAME + "_INTERVAL";
    /** propriété de la base contenant l'url sur serveur ftp de téléchargement des fichiers de référence Geoname.*/
    public static final String IMPORT_FTP_DOWNLOAD_URL = "GEOLOC_IMPORT_FTP_DOWNLOAD_URL";
    /** propriété de base sur la date de dernier import en succès.*/
    public static final String IMPORT_LAST_UPDATE = IMPORT_TIMER_NAME+"_LAST_UPDATE";
    /** */
    public static final String IMPORT_FILE_FORMAT ="GEOLOC_IMPORT_FORMAT";
}
